Subject: [nfsv4] David Black's WG last call comments on Parallel NFS (pNFS) SCSI Layout (draft-ietf-nfsv4-scsi-layout-04.txt)

From: "Black, David" <[email-masked]>
Date: Wed, 2 Dec 2015 22:53:45 +0000

This draft's in very good shape.  I found a few minor things:

- Section 1:

OLD
   Unlike [RFC5663], this document can make use
   of SCSI protocol features  and thus can provide reliable fencing by
NEW
   In contrast to [RFC5663], this document uses SCSI protocol features
   to provide reliable fencing by

- Section 2.3.1:

       Any other associate or designator type MUST NOT be used.

"associate" -> "association"
Also please add a sentence immediately following that one:

      Use of T10 vendor IDs is discouraged when one of the other types
      can be used.

This reflects text in SPC on this topic.

- Section 2.4.8.5:

  A client that detects a "RESERVATION CONFLICT" SCSI status on the

Insert "(I/O error)" after "SCSI status".

- References:

I'd suggest referencing SPC-4 instead of SPC-3.  SPC-4 is done, but not
yet ISO/IEC processed/approved, AFAIK) - cite it as INCITS 513-2015.

Thanks,
--David

From: nfsv4 [mailto:[email-masked]] On Behalf Of Spencer Shepler
Sent: Wednesday, November 04, 2015 12:00 PM
To: [email-masked]
Subject: [nfsv4] WG last call for Parallel NFS (pNFS) SCSI Layout (draft-ietf-nfsv4-scsi-layout-04.txt)

Per Christoph's request, we will start a last call for the following I-D:

Parallel NFS (pNFS) SCSI Layout
https://www.ietf.org/id/draft-ietf-nfsv4-scsi-layout-04.txt

Please take the time to review and provide comments to Christoph.

Given that the IETF meeting is this week and the upcoming holiday of the month, I am setting a rather long time for the last call.

We will end the last call on Dec 2nd unless there are objections that it need to finish earlier.

Thanks to Christoph for putting the effort into this and driving it forward; the WG's review will be appreciated.

Spencer

---

From: Christoph Hellwig <[email-masked]>
Date: Sat, 5 Dec 2015 12:45:14 +0100

Thanks David,

I've incorporated your feedback.

---

From: Spencer Shepler <[email-masked]>
Date: Mon, 7 Dec 2015 07:00:56 +0000

Thanks for the quick turn-around, Christoph.

The last call ended on Wednesday.  Do we have any other comments before we move this to the Area Director for review, etc.?

-----Original Message-----
From: nfsv4 [mailto:[email-masked]] On Behalf Of Christoph Hellwig
Sent: Saturday, December 5, 2015 3:45 AM
To: Black, David <[email-masked]>
Cc: [email-masked]
Subject: Re: [nfsv4] David Black's WG last call comments on Parallel NFS (pNFS) SCSI Layout (draft-ietf-nfsv4-scsi-layout-04.txt)

Thanks David,

_______________________________________________
nfsv4 mailing list
[email-masked]
https://na01.safelinks.protection.outlook.com/?url=https%3a%2f%2fwww.ietf.org%2fmailman%2flistinfo%2fnfsv4&data=01%7c01%7csshepler%40microsoft.com%7c76783ad44b4844a667e508d2fd698f40%7c72f988bf86f141af91ab2d7cd011db47%7c1&sdata=MbDQoy5aGAUtmSpLFZY8gzEOTVrN6TlJiKsVvtXvlMc%3d

---

From: David Noveck <[email-masked]>
Date: Mon, 7 Dec 2015 06:25:00 -0500

My comment is "Ship it."
On Dec 7, 2015 12:01 AM, "Spencer Shepler" <[email-masked]> wrote:

> The last call ended on Wednesday.  Do we have any other comments before we
> move this to the Area Director for review, etc.?
>
> Subject: Re: [nfsv4] David Black's WG last call comments on Parallel NFS
> (pNFS) SCSI Layout (draft-ietf-nfsv4-scsi-layout-04.txt)
>
> Thanks David,
>
> https://www.ietf.org/mailman/listinfo/nfsv4
>